API Explorer 1 endpoints

Get Agents at Bank

GET /obp/v7.0.0/banks/BANK_ID/agents

OBPv5.1.0-getAgents No role required Account

Get Agents at Bank.

User Authentication is Optional. The User need not be logged in.

Possible custom url parameters for pagination:

  • limit=NUMBER ==> default value: 50
  • offset=NUMBER ==> default value: 0

eg1:?limit=100&offset=0

URL encoding: query parameter values containing &, =, +, #, %, or spaces must be URL-encoded (e.g. + → %2B, space → %20). Most other characters (including @ in emails) are safe unencoded, but encoding is always permitted.

  • sort_direction=ASC/DESC ==> default value: DESC.

eg2:?limit=100&offset=0&sort_direction=ASC

  • from_date=DATE => example value: 1970-01-01T00:00:00.000Z. NOTE! The default value is one year ago (1970-01-01T00:00:00.000Z).
  • to_date=DATE => example value: 2026-10-21T01:45:41.039Z. NOTE! The default value is now (2026-10-21T01:45:41.039Z).

Date format parameter: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'(1100-01-01T01:01:01.000Z) ==> time zone is UTC.

eg3:?sort_direction=ASC&limit=100&offset=0&from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (4)
agent_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
agent_number
5987953
agents
agents
legal_name
Eveline Tripman
Example success response
{
  "agents": [
    {
      "agent_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "legal_name": "Eveline Tripman",
      "agent_number": "5987953"
    }
  ]
}
Possible errors (3)
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-30326: Agents not found.
  • OBP-50000: Unknown Error.
Implemented by OBPv5.1.0 getAgents Originally /obp/v5.1.0/banks/BANK_ID/agents